Package org.silverpeas.components.scheduleevent.service.model.beans

# Class Contributor

java.lang.Object
org.silverpeas.components.scheduleevent.service.model.beans.Contributor

All Implemented Interfaces:
  `Serializable`, `Comparable<Contributor>`

@Entity public class Contributor extends Object implements Comparable<Contributor>, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Contributor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Contributor o)`
  `boolean`
  `equals(Object obj)`
  `String`
  `getId()`
  `Date`
  `getLastValidation()`
  `Date`
  `getLastVisit()`
  `ScheduleEvent`
  `getScheduleEvent()`
  `int`
  `getUserId()`
  `String`
  `getUserName()`
  `int`
  `hashCode()`
  `void`
  `setId(String id)`
  `void`
  `setLastValidation(Date lastValidation)`
  `void`
  `setLastVisit(Date lastVisit)`
  `void`
  `setScheduleEvent(ScheduleEvent scheduleEvent)`
  `protected void`
  `setUpId()`
  `void`
  `setUserId(int userId)`
  `void`
  `setUserName(String userName)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Contributor

    public Contributor()

- ## Method Details

  - ### setUpId

    protected void setUpId()

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### setUserName

    public void setUserName(String userName)

  - ### getUserName

    public String getUserName()

  - ### compareTo

    public int compareTo(Contributor o)
    Specified by:
      `compareTo` in interface `Comparable<Contributor>`

  - ### setLastVisit

    public void setLastVisit(Date lastVisit)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getLastVisit

    public Date getLastVisit()

  - ### getLastValidation

    public Date getLastValidation()

  - ### setLastValidation

    public void setLastValidation(Date lastValidation)

  - ### setScheduleEvent

    public void setScheduleEvent(ScheduleEvent scheduleEvent)

  - ### getScheduleEvent

    public ScheduleEvent getScheduleEvent()